update to netplan.io 0.97

Bug #1828299 reported by Mathieu Trudel-Lapierre on 2019-05-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
netplan.io (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
This release contains both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these improvements.
The notable ones are:

   * [d96a6a0] networkd: force bringing up devices with no IP addresses
      (LP: #1763608)
   * Reworked renderer choosing to avoid regression in default renderer when multiple files specify it globally (LP: #1825206) (already SRUed in a simpler form)
   * Fixed networkd activation. (LP: #1821867) (already SRUed)

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NetplanUpdates

Netplan contains an extensive integration test suite that is ran using
the SRU package for each releases. This test suite's results are available here:
http://autopkgtest.ubuntu.com/packages/n/netplan.io

A successful run is required before the proposed netplan package
can be let into -updates.

The netplan team will be in charge of attaching the artifacts and console
output of the appropriate run to the bug. Netplan team members will not
mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned integration tests are attached to this bug.

= Per-release, per-arch test artifacts =

https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-bionic-amd64
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-bionic-arm64
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-bionic-armhf
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-bionic-i386
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-bionic-ppc64el
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-bionic-s390x
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-cosmic-amd64
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-cosmic-arm64
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-cosmic-armhf
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-cosmic-i386
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-cosmic-ppc64el
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-cosmic-s390x
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-disco-amd64
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-disco-arm64
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-disco-armhf
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-disco-i386
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-disco-ppc64el
https://people.canonical.com/~mtrudel/netplan.io/lp1828299/netplan.io-autopkgtest-disco-s390x

[Discussion]
This addresses in priority an important issue with integration of netplan with openvswitch; where devices are hard to bring up to hand over to openvswitch: behavior was changed such that as soon as a device is listed in netplan config (even without an IP), it gets brought online by the networkd renderer. This is consistent with the idea of having only configured interfaces touched by netplan; if the name of the itnerface appears in netplan YAML, it gets configured (albeit without IP).

[Changelog]
ea47bd4 (tag: 0.97) parser: refactor / factor out validation and error reporting
a001750 parser: reorganize validation to happen in a single pass at the end of parsing
3e99f59 Revert "parser: fix explicit backend assignment due to file merging" (LP: #1825206)
3e732b7 (tag: 0.96.1) Fix failure in make install
a5389e5 doc: add notice about interfaces configured in YAML being brought up
16b297b Fix tests after reverting systemd-networkd.service's activation from network-online.
ef43dd5 Partially revert the change for enabling systemd-networkd. network-online.target may not be depended on by anything on minimal images, but multi-user.target already is. (LP: #1821867)
d96a6a0 networkd: force bringing up devices with no IP addresses (LP: #1763608)
fb71b87 Automatically skip tests when wifi is clearly unavailable

This bug was fixed in the package netplan.io - 0.97-0ubuntu1

---------------
netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 08 May 2019 16:50:13 -0400

Changed in netplan.io (Ubuntu):
status: New → Fix Released

Hello Mathieu, or anyone else affected,

Accepted netplan.io into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.97-0ubuntu1~19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in netplan.io (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Adam Conrad (adconrad) wrote :

Hello Mathieu, or anyone else affected,

Accepted netplan.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.97-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Adam Conrad (adconrad) wrote :

Hello Mathieu, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.97-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

description: updated
description: updated

Autopkgtests are passing (linked above); marking this verification-done.

tags: added: verification-done-bionic verification-done-cosmic verification-done-disco
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-disco

The verification of the Stable Release Update for netplan.io has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.97-0ubuntu1~19.04.1

---------------
netplan.io (0.97-0ubuntu1~19.04.1) disco; urgency=medium

  * Backport netplan.io 0.97 to 19.04. (LP: #1828299)

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 09 May 2019 10:19:13 -0400

Changed in netplan.io (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.97-0ubuntu1~18.10.1

---------------
netplan.io (0.97-0ubuntu1~18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.97 to 18.10. (LP: #1828299)
  * Keep debian/patches/glib_changes.patch: Make sure tests work on older GLib.

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 09 May 2019 11:29:56 -0400

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.97-0ubuntu1~18.04.1

---------------
netplan.io (0.97-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.97 to 18.04. (LP: #1828299)
  * Keep patches specific to 18.04 support:
    - glib_changes.patch: fixes for older GLib version
    - disable-networkd-tunnels-ipip-gre.patch: disable tests for unsupported
      tunnel types (ipip and gre) in the 18.04 version of systemd-networkd.

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 09 May 2019 13:11:53 -0400

Changed in netplan.io (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers